EDIT - feature request #7599

treeView for specimen data in dataportal
07/30/2018 12:37 PM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

The specimen tab/page section should show the tree structure of the specimen. To avoid performance problems the data should be
provided by DTOs.

DTO Implementation:

e implement DTOs for FieldUnits, PreservedSpecimen/Observations, Collection, MolecularData, SequenceData
e Superclass for FieldUnitDTO and PreservedSpecimen is DerivateDTO
e Structure is similar to cdm classes

Treeview in dataportal

¢ The tree-view for specimen and occurrence data will be focused on the DerivedUnit which is directly associated to the taxon -
OK
e The full tree of derivatives stemming from the focused derivative are shown - OK
¢ Derivatives which are not associated to the taxon are hidden. - OK
¢ Derivate tree view should merge branches to multiple root elements into one branch #9216 --> postponed since there is no
related data yet
o first only the title of the field unit should be displayed, clicking on it should open the tree view - OK
o the tree should contain the most important information like collection, record base, catalog number/accession
number/barcode, kind of unit, derivation event, identifications - OK
o the identifications should be clickable with link to name
o sequence data should be clickable
o for more information there should be a link to the details page which contains all information about the derived unit/field unit
- 0K
¢ images should be shown with the derived unit/field unit they are linked to not as media gallery of the whole tree - OK
e sequences should be displayed with primer information
¢ in a next step the details of the derived units should be hidden, with the possibility to open it by clicking on the title. - OK

Related issues:

Related to EDIT - feature request #7755: Implement advanced detail page for o... New

Related to EDIT - task #3749: Check if all molecular data is shown correctly ... In Progress
Related to EDIT - task #8419: Harmonization of the different specimen represe... In Progress
Related to EDIT - feature request #9216: Derivate tree view should merge bran... New

Related to EDIT - task #9191: selenium test for specimen tree view (bottom up) Closed
Related to EDIT - feature request #6866: Improve specimen page Closed
Related to EDIT - bug #9555: symbols for record basis (and kind of unit) in d... Closed
Related to EDIT - task #9579: restore css3pie if needed Worksforme

Associated revisions

Revision 6b53ead8 - 07/26/2018 12:27 PM - Katja Luther

first implementation for specimen page with DTOs

Revision c10f70e4 - 07/26/2018 02:34 PM - Katja Luther

first steps of specimen page with DTOs

Revision 98262d29 - 07/30/2018 12:42 PM - Katja Luther

code cleaning
https://dev.e-taxonomy.eu/redmine/issues/9216

Revision ff21181c - 07/30/2018 12:47 PM - Katja Luther

mend

ref #7599: minor

Revision fc169e34 - 07/30/2018 01:30 PM - Katja Luther
ref #7599: add excluded fields for specimen

Revision 267da0d1 - 08/07/2018 02:46 PM - Katja Luther

create an item_list for specimen page

Revision 7965ef92 - 08/10/2018 10:12 AM - Katja Luther

add item list to table resolves the problem of rendering the description items

Revision d3f77ada - 08/10/2018 12:31 PM - Katja Luther

minor

Revision 416bc78f - 08/17/2018 11:14 AM - Katja Luther
use mediaDTO

Revision 52f57468 - 09/04/2018 09:51 AM - Katja Luther

smaller changes in dna part of tree view

Revision 3f6d782a - 09/06/2018 02:41 PM - Katja Luther

ref #7599: further improvement for specimenDtos

Revision 106e1cf9 - 09/11/2018 09:49 AM - Katja Luther
ref #7599: fix php problems and code cleaning

Revision a0f26798 - 09/12/2018 12:08 PM - Katja Luther

remove link to detail page for fieldUnits

Revision 1239704 - 09/20/2018 10:42 AM - Katja Luther

ref #7599: fix problem with links in descriptions

Revision 8e15d0fb - 09/20/2018 12:12 PM - Katja Luther

ref #7599: create link and render array when description is URL in compose_sequences

Revision 8cba0a5f - 01/07/2019 05:06 PM - Andreas Kohlbecker

ref #7599 updating compose_specimen_table() after renaming of render_cdm_specimenDTO_page()

Revision ddbbdb0b - 02/07/2019 10:37 AM - Katja Luther

ref #7599: exclude collection string from specimen tree view

Revision 292b1ebe - 10/02/2020 12:14 PM - Andreas Kohlbecker
ref #7599, ref #7599 specimen tree view: fixing bug and adapting test

Revision a584de6a - 10/08/2020 06:50 PM - Andreas Kohlbecker

ref #7599 adapting derivate tree view to DTOs and solving code inconsistencies

Revision e809ac5d - 10/23/2020 04:49 PM - Andreas Kohlbecker

ref #7599, ref #8419 specimen tree view with nested tables

Revision 20b503f3 - 01/15/2021 01:34 PM - Andreas Kohlbecker

ref #7599 showing link for present character data

Revision 5e0162fb - 01/27/2021 11:20 AM - Andreas Kohlbecker
ref #7599 ref #9395 documenting requirements

Revision b9d4068f - 03/12/2021 01:45 PM - Andreas Kohlbecker

ref #7599 fixing name link of identifications

Revision 8d0c3f5f - 03/15/2021 12:58 PM - Andreas Kohlbecker

ref #7599 derivative tree view: unit details collapsible

Revision dd3a6e28 - 03/15/2021 04:06 PM - Andreas Kohlbecker

ref #7599 derivative tree view: collapsible unit tree styled as tree

Revision 8898d016 - 03/15/2021 10:18 PM - Andreas Kohlbecker

ref #7599 derivative tree view: collapsible unit tree layout improved

Revision b8c8c164 - 03/15/2021 10:24 PM - Andreas Kohlbecker

ref #7599 derivative tree view: collapsible unit tree - dotted lines

Revision a85fece4 - 03/16/2021 01:32 PM - Andreas Kohlbecker
ref #7599 gathering date in GatheringDTO

Revision 5a2e89b6 - 03/16/2021 01:33 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details in floating tables - first part

Revision c407b10a - 03/16/2021 02:59 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details in floating tables - gathering details

Revision bb4e2e49 - 03/16/2021 03:04 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details in floating tables - cleaning

Revision f46584fb - 03/17/2021 02:31 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details in floating tables - improved layout (compatible with all major browsers)

Revision 26370e4f - 03/17/2021 02:39 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details in floating tables - responsive layout

Revision 9d24e1ba - 03/17/2021 04:24 PM - Andreas Kohlbecker

ref #7599 ref #6866 more specimen details tables for type designation, media, storage, dna samples and identifircations

Revision 47420a9f - 03/17/2021 04:42 PM - Andreas Kohlbecker

ref #7599 ref #6866 more specimen details tables - tables may span multiple grid colums

Revision 88616760 - 03/17/2021 05:20 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables additional data for field units and derived units

Revision dc174713 - 03/17/2021 05:45 PM - Andreas Kohlbecker
ref #7599 ref #6866 adding missing SpecimenOrObservationDTO details

Revision 121bd2f4 - 03/17/2021 06:05 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - using RecordBase as table header

Revision ec6065fa - 03/18/2021 07:56 AM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - derivation tree nodes with links to specimen page

Revision 4fc43df6 - 03/18/2021 12:12 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - more fields

Revision 141a7789 - 03/18/2021 03:36 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - derivation events

Revision 8e013268 - 03/19/2021 08:09 AM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - class attributes for testing

Revision e5f35b5f - 03/19/2021 08:31 AM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - footnotes & genral footnote font size

Revision fdd6dc54 - 03/19/2021 02:19 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - selenium elements

Revision 4ecf7518 - 03/19/2021 05:41 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - adapting tests

Revision 69382db8 - 03/19/2021 06:08 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - re-enabling all derivatin tree tests

Revision 2e0c302b - 03/19/2021 07:10 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - more tests also for deeper trees

Revision 54456aee - 03/22/2021 02:01 PM - Andreas Kohlbecker

ref #7599 ref #6866 specimen details tables - testing two more links

Revision 863bbef2 - 03/22/2021 03:52 PM - Andreas Kohlbecker
ref #7599 ref #6866 specimen details tables - generalizing details grid styling

Revision a1dab23f - 03/22/2021 03:57 PM - Andreas Kohlbecker
ref #7599 ref #6866 individual font size per application

Revision 48b3aade - 03/22/2021 03:58 PM - Andreas Kohlbecker

ref #7599 removing unused code

Revision 7084294 - 03/22/2021 05:02 PM - Andreas Kohlbecker

ref #7599 ref #6866 derivation tree optionally without content usable for specimen page

Revision 8bc06094 - 03/23/2021 09:06 AM - Andreas Kohlbecker

ref #7599 ref #6866 refactoring derivatin tree composition into class DerivationTreeComposer

Revision ac54d579 - 03/23/2021 09:14 AM - Andreas Kohlbecker
ref #7599 ref #6866 replacing _add_js_derivation_tree_focus_unit() by php code in class

Revision 8c24201a - 03/23/2021 05:46 PM - Andreas Kohlbecker
ref #7599 ref #6866 adapting tests to latest changes

Revision 2316d086 - 03/23/2021 10:36 PM - Andreas Kohlbecker
ref #7599 ref #6866 fixing bug in determinations display#

Revision 42c6fd16 - 03/24/2021 10:30 AM - Andreas Kohlbecker
ref #7599 ref #6866 fixing more bugs in determinations display

Revision dbe61bd9 - 03/29/2021 12:52 PM - Andreas Kohlbecker
ref #7599 ref #6866 fixing layout problem in typedesignations details table

Revision 4ff1cfa5 - 04/06/2021 10:49 PM - Andreas Kohlbecker

ref #9579 ref #7599 deactivating css3pie to allow using a more recent compass version

Revision 2ed89b85 - 04/06/2021 10:50 PM - Andreas Kohlbecker
ref #7599 derivate tree with collapsible items

Revision 2b85bf78 - 04/07/2021 02:24 PM - Andreas Kohlbecker

ref #7599 derivate tree with collapsible items - adapting tests

Revision aa55643c - 04/08/2021 03:43 PM - Andreas Kohlbecker

ref #7599 derivate tree units: icon stack for type specimens

Revision f9e96761 - 04/14/2021 02:15 PM - Andreas Kohlbecker

ref #7599 ref #6866 removing replaced and now unused methods

Revision 03d8bdca - 04/21/2021 02:01 PM - Andreas Kohlbecker

ref #7599 reenabling map in specimen page

History

#1 - 07/30/2018 12:56 PM - Katja Luther

- Description updated

#2 - 07/30/2018 01:00 PM - Katja Luther

- Status changed from New to In Progress

The current implementation provides all specimen with the whole tree with the first WS call, is it better to get first only the fieldUnit informations and
when clicking for the details, getting the details or do it with the actual implementation and create the complete tree.

#3 - 08/17/2018 03:54 PM - Andreas Miuller

- Target version changed from Release 5.2 to Release 5.3

#4 - 09/05/2018 03:42 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved
- Assignee changed from Katja Luther to Andreas Kohlbecker

- % Done changed from 0 to 50

starting review

#5 - 09/05/2018 03:56 PM - Andreas Kohlbecker

Review Result:

1)
e method create_cdm_specimen_or_observation() needs either be named render_cdm_specimen_or_observation() or compose_...
e methods returning markup are render_.. methods.
¢ if you think that it could make sense to use the output via AJAX you need to call it compose__

e see also create_specimen_array()
e compose methods are marked as * @ingroup compose per php doc, none compose functions must not be marked as such

to be continued...
#6 - 09/06/2018 02:18 PM - Andreas Kohlbecker
2)
diese neue Funktionalitat in modules/cdm_dataportal/includes/pre-drupal8.inc
if (strpos($description, 'http:') !== false && !is_array($description)) {
//make links for urls
Sdescription = 1 ($description, $description);
}
sollte eigentlich nicht in _description_list_group_add() hinein. Besser den link schon vorher in $description schreiben

#7 - 09/06/2018 02:19 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:
sollte eigentlich nicht in _description_list_group_add() hinein. Besser den link schon vorher in $description schreiben

und auBBerdem ist https auch wichtig!

#8 - 09/06/2018 02:38 PM - Andreas Kohlbecker
php notice in http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/1ad7630a-290b-464f-99e3-43c9dfb3c38b/specimens:

Notice: Undefined property: stdClass::$_fieldObjectMedia in cdm_dataportal_taxon_page_specimens () (line 86
of /var/www/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined property: stdClass::$listOfMedia in cdm_dataportal_taxon_page_specimens () (line 208 of /
var/www/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined property: stdClass::$listOfMedia in cdm_dataportal_taxon_page_specimens () (line 208 of /
var/www/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined property: stdClass::$listOfMedia in cdm_dataportal_taxon_page_specimens () (line 208 of /
var/www/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined variable: pager in cdm_dataportal_taxon_page_specimens () (line 308 of /var/www/drupal-7.
32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc) .

Notice: Trying to get property of non-object in theme_cdm_pager () (line 370 of /var/www/drupal-7.32/sites/
_Jjenkins-workspace/modules/cdm_dataportal/theme/cdm_dataportal.common.theme) .

Notice: Undefined variable: pager in cdm_dataportal_taxon_page_specimens () (line 317 of /var/www/drupal-7.
32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc) .

Notice: Trying to get property of non-object in theme_cdm_pager () (line 370 of /var/www/drupal-7.32/sites/

_Jjenkins-workspace/modules/cdm_dataportal/theme/cdm_dataportal.common.theme) .

#9 - 09/06/2018 06:11 PM - Andreas Kohlbecker
further minor php problems at the example of
http:/test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/taxon/f48b4b22-0625-4820-ad82-abf12e20859a

1) compressed table active

Notice: Undefined property: stdClass::$_fieldObjectMedia in cdm_dataportal_taxon_page_specimens () (line 86
of /home/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .
Notice: Undefined variable: pager in cdm_dataportal_taxon_page_specimens () (line 317 of /home/andreas/work
spaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .
Notice: Trying to get property of non-object in theme_cdm_pager () (line 370 of /home/andreas/workspaces/cd
m/cdm-dataportal /modules/cdm_dataportal/theme/cdm_dataportal.common.theme) .

2) default specimen view (see above for php problems at 'notice’ level)
3) specimen tree

the tree view is not showing up

Warning: Invalid argument supplied for foreach() in cdm_dataportal_taxon_page_specimens () (line 75 of /hom
e/andreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined variable: occurrence in cdm_dataportal_taxon_page_specimens () (line 86 of /home/andreas/
workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .

Notice: Trying to get property of non-object in cdm_dataportal_taxon_page_specimens () (line 86 of /home/an
dreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined variable: map_render_array in cdm_dataportal_taxon_page_specimens () (line 119 of /home/a
ndreas/workspaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .

Notice: Undefined variable: pager in cdm_dataportal_taxon_page_specimens () (line 317 of /home/andreas/work
spaces/cdm/cdm-dataportal/modules/cdm_dataportal/includes/pages.inc) .

Notice: Trying to get property of non-object in theme_cdm_pager () (line 370 of /home/andreas/workspaces/cd

m/cdm-dataportal/modules/cdm_dataportal/theme/cdm_dataportal.common.theme) .

#10 - 09/06/2018 06:35 PM - Katja Luther

the php issues should be solved and the tree view is shown now.

#11 - 09/06/2018 06:35 PM - Katja Luther

- Status changed from Resolved to In Progress

#12 - 09/11/2018 08:23 AM - Andreas Kohlbecker
- File picture852-1.png added

There are still problems in tree view mode, see
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/taxon/f48b4b22-0625-4820-ad82-abf12e20859a
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/1ad7630a-290b-464f-99e3-43c9dfb3c38b/specimens:
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/taxon/f48b4b22-0625-4820-ad82-abf12e20859a
http://test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/taxon/f48b4b22-0625-4820-ad82-abf12e20859a

Planothidium victori

» Warning: Invalid argument supplied for foreach() in cdm_dataportal_taxon_page_specimens()
(line 84 of /var/www/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes
/pages.inc).

+ Notice: Undefined variable: map_render_array in cdm_dataporial _taxon_page_specimens()
(line 128 of /var/www/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes
/pages.inc).

s Notice: Undefined variable: pager in cdm_dataportal taxon_page_specimens() (line 327 of
Svar/wwwy/drupal-7.32/sites/_jenkins-workspace/modules/cdm_dataportal/includes/pages.inc).

« Notice: Trying to get property of non-object in theme_cdm_pager() (line 370 of /var/www
fdrupal-7.32/sites/ jenkins-workspace/modules/cdm_dataportal/theme
fcdm_dataportal.common.theme).

Planothidium victori Novis, Braidwood & Kilroy in Phytotaxa 64: 33, fig. 26-41, 161. 2012
Epitype (designated by Jahn, R., Abarca, N., Gemeinholzer, B. & al. 20174): Berlin, small
river Wuhle, 52°31'14.844"N, 13°34'40.116"E, O. Skibbe - collector number D06 (B 40
0040871).

Holotype (designated by Novis, PM., Braidwood, ). & Kilroy, C. 20127): New Zealand,
Canterbury: Styx River, 43°27'48"S, 172°36'12.78"E, 4.11.2009, P. Novis & ]. Braidwood
(CHR 618408).

1. Jahn, R., Nélida Abarca, Birgit Gemeinholzer & al., Planothidium lanceolatum and Planothicium
frequentissimum reinvestigated wieht molecular methods and morphology: four new species and the
taxonomic importance of the sinus and cavum in Diatom Res. 32: 75-107. 2017~ Registration:
http://phycobank.org/100007, 2017-04-25, 2. Novis, P.M., Braidwood, . & Kilroy, C., Small diatoms
(Bacillariophyta) in cultures from the Styx River, New Zealand, including descriptions of three new
species in Phytotaxa 64: 11-45. 2012

Specimens

#13 - 09/11/2018 08:23 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Katja Luther

#14 - 09/11/2018 12:02 PM - Katja Luther

the php problems are solved and the NPE in CollectionDto as well

#15 - 09/11/2018 07:05 PM - Andreas Kohlbecker

thank you for fixing the issues so far. Unfortunately there are still some:

1)

on this page the Locality should be Berlin, small river Wuhle instead English is shown

2.b)
The method compose_cdm_specimen_or_observation_tree_entry() returns a markup string. since this is a compose method it should return a render
array instead $occurrence_elements.

You may want to replace the $output = drupal_render($occurrence_elements); and everything below by

2.a)

Srender_array = array();

Srender_array['occurrence'] = $occurrence_elements;

Srender_array['gallery'] = markup_to_render_array($gallery_html);
Srender_array|['specimen_page_link'] = markup_to_render_array(l("detail page", path_to_specimen (
$specimenOrObservation->uuid)) ;
return Srender_array;
WARNING code snipped untested!

#16 - 09/12/2018 11:52 AM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#17 - 09/12/2018 12:10 PM - Katja Luther

as long as the detail page for field units is not implemented the link to detail page of field unit is removed.

#18 - 09/12/2018 01:29 PM - Andreas Kohlbecker

- Related to feature request #7755: Implement advanced detail page for occurrences added

#19 - 09/12/2018 01:30 PM - Andreas Kohlbecker

- Description updated

#20 - 09/20/2018 08:44 AM - Andreas Kohlbecker
- File picture495-1.png added
Andreas Kohlbecker wrote:
2)
diese neue Funktionalitat in modules/cdm_dataportal/includes/pre-drupal8.inc
if (strpos($description, 'http:') !== false && !is_array($description)) {
//make links for urls
Sdescription = 1 ($Sdescription, $description);

}

sollte eigentlich nicht in _description_list_group_add() hinein. Besser den link schon vorher in $description schreiben

Dieser Code verursacht auch Probleme:

http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/4bd68891-a187-456f-b123-01c38c1f654a

“Heteropterys laurifolia (L.) A.Juss., Malpighiaceae”
[Berendsohn & al. 2012]

Warning: strpos() expects parameter 1 to be string, array given in ()
(line 213 of /var/www/drupal-7.32/sites/_dataportal-production/modules/cdm_dataportal/inciudes
/pre-drupal8.inc).

#21 - 09/21/2018 01:50 PM - Katja Luther
- Related to task #3749: Check if all molecular data is shown correctly in data portal [also DISCUSS] added

#23 - 10/23/2018 10:50 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#24 - 02/19/2019 02:44 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#25 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#26 - 08/10/2020 11:00 AM - Andreas Kohlbecker

- Related to task #8419: Harmonization of the different specimen representations added
http://portal.cybertaxonomy.org/salvador/cdm_dataportal/media/4bd68891-a187-456f-b123-01c38c1f654a

#27 - 08/10/2020 11:17 AM - Katja Luther
- Description updated

- Assignee changed from Katja Luther to Andreas Kohlbecker

#28 - 08/14/2020 05:59 PM - Andreas Kohlbecker
- File derivate-tree-testdata-in-editor.png added
developing the test for the derivate tree view | found a potential problems.

As far as my understanding of the derivate tree goes, it should show the whole bouquet of all derivatives stemming from one filed unit and gathering
event. | created the following test data in //160.45.63.201/cdm_integration_reference :

i'Germany, Berlin, 52°31'1.2"N, 13°21°E, 28 Mar 2016, D047
v & CEDIT 2017E68

HBIMG 99999
v &M M-0289351

% B BDNA 99999

Problems in http:/int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/d245083e-3bda-435f-9bb3-bdc2249ff23c/specimens:

e The portal page misses the media specimen and the DNA
e The field unit is repeated twice.

#29 - 08/14/2020 06:06 PM - Andreas Kohlbecker
- File derivate-tree-testdata-in-portal.png added
http://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/d245083e-3bda-435f-9bb3-bdc2249ff23c/specimens:

Germany, Berlin, 52°31'1.2"N, 13°21'E, 28 Mar 2016, D047.

Record base: Field Unit
Country: Germany
Locality: Berlin

Detail page

Record base: Preserved Specimen
Accession number: 2017E68
Collection
Code: CEDIT
Specimen type designations:
Epitype: Germany, Berlin, 52°31'1.2"N, 13°21'E, 28 Mar 2016, D047 (CEDIT
2017EBB).

Kind of unit: Specimen
Detail page
Germany, Berlin, 52°31'1.2"N, 13°21°E, 28 Mar 2016, D047.

Record base: Field Unit
Country: Germany
Locality: Berlin

Detail page

Record base: Preserved Specimen
Accession number: M-0289351
Preferred stable uri: http://herbarium.bgbm.org/object/B400042045
Collection
Code: M
Specimen type designations:
Isolectotype: Germany, Berlin, 32°31'1.2"N, 13°21°E, 28 Mar 2016, D047 (M
M-0289351). http:/fherbarium.bgbm.org/object/B400042045

Kind of unit: Specimen

Detail page

(screen shot for above report)

#30 - 08/17/2020 02:07 PM - Katja Luther
- File picture588-1.png added
- File picture588-2.png added
Germany, Schleswig-Holstein, Hamme, alt. 0 m, 53°11'23.388"N, 8°47'3.012"E, 15.7.2002, Bruder,
Beszteri & Strieben s.n.

Country: Germany

Record base: Field Unit
Collector: Bruder, K_, Beszteri, B. & Strieben, 5.
Collecting areas: Europe
Locality: Schleswig-Holstein, Hamme

Detail page

AT 117

Collection

Code: Diatoms
Institute: AWI

Record base: Material Sample

Catalog number: AT_117
Derivation event: Object

Kind of unit: environmental sample

Detail page

AT_117.10

04/20/2024

Collection

Code: Diatoms
Institute: AWI
Record base: Living Specimen (ex situ)

Detail page

DB 16922

Collection

Code: DNA Bank
Institute: B

Record base: DNA Sample
Catalog number: DB 16922
Derivation event: Object

Sequences:

285 rDNA

Genetic accession number: AM710513

Dna marker: 285 rONA

Embl uri: http:/fwww_ebi.ac.uk/ena/data/view/AM710513

Gen bank wri: httpy//www.nchinlm.nih.gov/nuccore/AM710513

Ddbj wri: http://getentry.ddbj.nig.ac jp/getentry/na/AM710513
IHiletype=htmil

rbcl

Genetic accession number: AM710425

Dna marker: rbcl

Embl uri: http:/fwww_ebi.ac.uk/ena/data/view/AM710425

Gen bank wri: hitp:/fwww.ncbinlm.nih.gov/nuccore/AM710425

Ddbj wri: http://getentry.ddbj.nig.ac jp/getentry/na/AM 710425
Hiletype=htmil

185 rRNA

Genetic accession number: AM501959

Dna marker: 185 rRNA

Embl uri: http:/fwww_ebi.ac.uk/ena/data/view/AM501359

Gen bank wri: http://www.nchinlm.nih.gov/nuccore/AMS01959

Ddbj wri: http://getentry.ddbj.nig.ac jp/getentry/na/AM501959
Hiletype=htmil

Identification(s): Amphora libyca Ehrenb.

Detail page

B 40 0041140

Collection

Code: Diatoms
Institute: AWI

Record base: Preserved Specimen
Catalog number: B 40 0041140
Kind of unit: specimen

Derivation event: Object

Identification(s): Amphora libyca Ehrenb.

Detail page
this is a screenshot of algaterra-new with a derivate view containing dna derivates and siblings "B 40 0041140" and "DB 16922"

4 3 Germany, Schleswig-Holstein, Hamme, alt. 0 m, 53°11'23.388"N, §°47'3.012"E, 15.7.2002, Bruder, Beszteri & Strieben s.n
Diatoms AT_110

Diatoms AT_111

Diatoms AT 113

Diatoms AT 114

Diatoms AT 115

Diatoms AT_116

Diatoms AT_117

Diatoms AT_117.04
Diatoms AT_117.11
Diatoms AT_117Gell0
hatoms AT_117Gel20b
Mhatoms AT_117Gel29
Diatomns AT 117Gel32
Diatoms AT_117Gel5
Diatoms AT_117.07a
Diatoms AT_117.08
Diatoms AT_117.09
Diatoms AT_117.10

4 ‘?b. DMA Bank DB 16922

ThCh

sean 285 rDMNA

ARTT

ThCh
e rhel

ik 185 rRMA

AMTT

wie Diatorns B 40 0041140
so the specimen page should contain all derivates of a derivate determined to the taxon or its name and all elements should be displayed only once.
#31 - 09/07/2020 01:46 PM - Andreas Kohlbecker

- Related to feature request #9216: Derivate tree view should merge branches to multiple root elements into one branch added

#32 - 09/08/2020 11:48 AM - Andreas Kohlbecker
- Description updated

#33 - 10/02/2020 11:14 AM - Andreas Kohlbecker

- File picture113-1.png added

Hallo Katja,

ich habe noch eine weitere Frage.

Soweit ich das verstanden habe gilt auch folgender Anforderung: "Derivatives which are not associated to the taxon are to be hidden."
Gilt das fiir alle Derivate egal ob Origin oder derivative?

Es sollten aber dennoch alle Root Elemente angezeigt werden auch wenn Zwischen-Derivate nicht direkt zum Taxon gehéren? Also so (alle mit dem
Taxon assoziierten Derivate sind hier blau)

FUl ----> D1 ---> D2 --> *D3* --> D6

) |
| $om——- > D7
FU2 -=-=--- D4 ----- +
|
DR —— +

should be merged Iike|

FU1,FU2,D5 ----> D1 ---> *D3* --> D6
A

#34 - 10/02/2020 11:15 AM - Andreas Kohlbecker

[Katja wrote:]
Hallo Andreas,

die Origin derivate sollten schon angezeigt werden, auch wenn sie keine Assoziation zu dem Taxon haben, weil gerade bei Algen oder &hnlichem
sind FieldUnits und die ersten Derivate ja gar keinem Taxon/Namen zugeordnet.

Viele GruB3e
Katja

#35 - 10/02/2020 11:15 AM - Andreas Kohlbecker
Ah ok,

das Ausblenden/Verstecken bezog sich nur auf die Compressed Table, richtig?

VG
A

#36 - 10/02/2020 11:17 AM - Andreas Kohlbecker
- File picture343-1.png added

Naja, nicht ganz. Es geht auch im Tree View darum, dass in einem Derivat Baum, der aus einer Mischprobe entsteht, nicht alle daraus entstandenen
Kulturen bei einem Taxon angezeigt werden (das kann sehr unibersichtlich werden), also sollen beim DerivateTree eigentlich auch nur die Derivate
angezeigt werden, die Gber Taxon Association oder Determination an einem Taxon oder Namen h&ngen und ihre direkten Eltern und Kinder (+
KindesKinder...).

Also im Endeffekt muss man die Derivate raus suchen, die eine Assoziation zu dem Taxon haben und dann die direkten Vorganger und die
Nachfolger finden.
Andere Derivate, die von Origin Derivaten abstammen wirden erstmal nicht dazugehéren, auB3er sie sind ebenfalls mit dem Taxon assoziiert.

Im Editor sieht das zum Beispiel so aus, wenn man nach den Specimen von Achnanthes brevipes sucht:

| f
Taxon Achnanthes brevipes CAgardh sec, | | 1= | Ja

Titlecache Derivat-Typ | Unknown unit type -l

4 Germany, Baltic Sea, Meckienburg-Vorpommern, Wismar, Baltic Sea, alt. 0 m, 53°54'43.938"N, 11°25°56.283"E, 1.8.2008, [R. Jahn] Wi01
4 ¥ Germany, Mecklenburg-Yorpommermn, Selliner See, Rigen, 54°21'29.138°N, 13"41'45.042°F, 11.3.2016, Gebhardt D134
4 @ Diatom Reference Library D134
] ? Distom Reference Library D134 005
*}» DMA Bank DB 25054
4 +f Distom Reference Library D134_011
.. DMA Bank DB 28055
4 3 Distom Reference Library D134 018
‘). DMA Bank DB 28056
& Diatom Reference Library D134 _018b
4 ? Diatem Reference Library D134_018¢
)= DNA Bank DB 280
4+ Distom Reference L
*“}~. DMA Bank DB 28053
2 Diatom Reference Library D134_020b

Im Portal sollen aber auf der Seite von Achnanthes brevipes nur der Teilbaum angezeigt werden, der wirklich auch das Taxon betrifft (roter Kringel),
die anderen Teilbdume sollen ausgeblendet werden.

Ist das verstandlich? Das ist wahrscheinlich sehr aus der Sicht der Algen gedacht, aber es sollte ja eigentlich keine Derivate geben, die dann plétzlich
einem anderen Taxon zugeordnet sind, oder?

Viele GruB3e
Katja

#37 - 10/02/2020 11:17 AM - Andreas Kohlbecker

[Andreas Mller wrote:]

Hallo,
wenn ich es richtig verstehe bezieht sich das auf die Derivate, die unterhalb von ,D3" in deinem Beispiel kommen. Also D6 . Die fehlen weitgehend in
der Graphik, aber das ist ja eigentlich der Regelfall, dass der Baum nach unten breit wird und nach oben immer nur 1 Parent existiert. Die Graphik
zeigt einen Baum mit vielen Parents und meist nur einem oder keinem Kind.

Mit der Compressed Table hat das ausblenden glaube ich eher nicht zu tun bzw. dort gelten vermutlich sehr &hnliche Regeln.

Viele Grif3e,
Andreas M

#38 - 10/02/2020 12:14 PM - Andreas Kohlbecker

- Related to task #9191: selenium test for specimen tree view (bottom up) added

#39 - 10/09/2020 12:54 PM - Andreas Kohlbecker

- Tags set to specimens-view-tree

#40 - 10/23/2020 04:48 PM - Andreas Kohlbecker
- Target version changed from Reviewed Next Major Release to Release 5.18

- % Done changed from 50 to 40

#41 - 11/30/2020 01:05 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#42 - 01/15/2021 01:58 PM - Andreas Kohlbecker

Andreas Kohlbecker wrote:
[Andreas Mller wrote:]
wenn ich es richtig verstehe bezieht sich das auf die Derivate, die unterhalb von ,D3" in deinem Beispiel kommen. Also D6 . Die fehlen
weitgehend in der Graphik, aber das ist ja eigentlich der Regelfall, dass der Baum nach unten breit wird und nach oben immer nur 1 Parent
existiert. Die Graphik zeigt einen Baum mit vielen Parents und meist nur einem oder keinem Kind.

Hallo,

bei dieser beispielhaften Darstellung ging es mit darum das handling komplexer Situationen mit multiplen Wurzelknoten im Graphen zu diskutieren.

Dass solche B&dume in der Regel und Praxis anders aussehen ist ja klar, aber wenn es darum geht Regeln auf ihre Sinnhaftigkeit abzuklopfen baucht
es manchmal simplifizierte Extrembeispiele.

Ubrigens ist die oben dargestellte fusionierte Form nicht ganz richtig und sollte eher so lauten:

FU1,FU2,D5 --> D1 --> *D3* —--> D6

In dieser Verkiirzung wére ein Sachverhalt falsch dargestellt: D1 scheint ein Derivat von D5 zu sein. Aber bei einer reinen Baumstruktur bekommt
man D5 nicht anders unter, es sei denn man lasst es einfach weg, was vielleicht tatsachlich die bessere Option ist. Dieser Fall kommt mit Sicherheit,

wenn Uberhaupt soooo0 selten vor, dass er vernachlassigbar ist.

Viele Gri3e
Andreas

#43 - 01/15/2021 02:00 PM - Andreas Kohlbecker

Ahh, ich sehe gerade, dass in #9216 schon die finale Losung hinterlegt ist.

#44 - 01/27/2021 03:20 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#45 - 03/10/2021 03:30 PM - Andreas Kohlbecker

- Target version changed from Release 5.21 to Release 5.22

#46 - 03/12/2021 01:36 PM - Andreas Kohlbecker

- Description updated

Open issues:
https://dev.e-taxonomy.eu/redmine/issues/9216

sequence data should be clickable --> DNA display incomplete
sequences should be displayed with primer information

#47 - 03/12/2021 01:48 PM - Andreas Kohlbecker

- Related to feature request #6866: Improve specimen page added

#48 - 03/16/2021 01:30 PM - Andreas Kohlbecker
- Description updated

#49 - 03/25/2021 05:23 PM - Andreas Kohlbecker

the identifications should be clickable with link to name --> link url broken

- Related to bug #9555: symbols for record basis (and kind of unit) in derivation tree added

#50 - 04/06/2021 10:45 PM - Andreas Kohlbecker
- Related to task #9579: restore css3pie if needed added

#51 - 04/14/2021 05:18 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 40 to 100

appart from the questions discussed in #9579 this ticket is now complete.

Files

in a next step the details of the derived units should be hidden, with the possibility to open it by clicking on the title., --> see also #6866
derivate-tree-testdata-in-editor.png
derivate-tree-testdata-in-portal.png
picture588-1.png
picture588-2.png
picture113-1.png
picture343-1.png

04/20/2024

104 KB
17.4 KB

16 KB
371 KB
122 KB
32.1 KB
35.6 KB
146 KB

09/11/2018
09/20/2018
08/14/2020
08/14/2020
08/17/2020
08/17/2020
10/02/2020
10/02/2020

Andreas Kohlbecker
Andreas Kohlbecker
Andreas Kohlbecker
Andreas Kohlbecker

Katja Luther

Katja Luther
Andreas Kohlbecker
Andreas Kohlbecker

15/15


https://dev.e-taxonomy.eu/redmine/issues/6866
https://dev.e-taxonomy.eu/redmine/issues/9579
http://www.tcpdf.org

